import javax.swing.*;
import javax.swing.border.Border;
import java.awt.*;

public class InsomniaGUI {
    JFrame frame ;
    public InsomniaGUI(){
        frame = new JFrame();
        frame.setTitle("Insomnia");
        frame.setSize(900,600);
        frame.setLocation(200,100);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);

        Border border = BorderFactory.createLineBorder(Color.BLACK,3);

        JMenuBar upperMenuBar = new JMenuBar();
        JMenu application = new JMenu("Application");
        JMenu edit = new JMenu("Edit");
        JMenu view = new JMenu("View");
        JMenu window = new JMenu("Tools");
        JMenuItem minimize = new JMenuItem("Minimize");
        window.add(minimize);
        JMenu help = new JMenu("Help");
        upperMenuBar.add(application);
        upperMenuBar.add(edit);
        upperMenuBar.add(view);
        upperMenuBar.add(window);
        upperMenuBar.add(help);

        JPanel body = new JPanel();
        body.setBackground(Color.GRAY);
        JPanel auth = new JPanel();
        auth.setBackground(Color.GRAY);
        JPanel query = new JPanel();
        query.setBackground(Color.GRAY);
        JPanel header = new JPanel(new BorderLayout());
        header.setBackground(Color.GRAY);
        JPanel docs = new JPanel();
        docs.setBackground(Color.GRAY);


        //request-center
        JTabbedPane tabbedPaneCenterRequest = new JTabbedPane();
        tabbedPaneCenterRequest.setBackground(Color.GRAY);
        tabbedPaneCenterRequest.add("Body" , body);
        tabbedPaneCenterRequest.add("Auth" , auth);
        tabbedPaneCenterRequest.add("Query" , query);
        tabbedPaneCenterRequest.add("Header" , header);
        tabbedPaneCenterRequest.add("Docs" , docs);
        JTextField headerField = new JTextField("header");
        headerField.setBorder(border);
        JTextField valueField = new JTextField("value");
        valueField.setBorder(border);
        JCheckBox checkBox = new JCheckBox();
        JButton delete = new JButton();
        JPanel center_header = new JPanel(new GridLayout(1,2));
        center_header.add(headerField);
        center_header.add(valueField);
        header.add(checkBox,BorderLayout.EAST);
        header.add(center_header,BorderLayout.CENTER);
        header.add(delete,BorderLayout.WEST);


        //request_up
        String s []={"Patch","Put","Post","Delete","Get"};
        JComboBox centerMenu = new JComboBox(s);
        centerMenu.setFont(new Font("Arial",20,15 ));

        JTextField URLTextField = new JTextField("http://api.myproduct.com/v1/users");

        JButton sendButton = new JButton("send");

        JPanel centerUp = new JPanel(new BorderLayout());
        centerUp.add(centerMenu , BorderLayout.WEST);
        centerUp.add(URLTextField , BorderLayout.CENTER);
        centerUp.add(sendButton , BorderLayout.EAST);

        JPanel request = new JPanel(new BorderLayout());
        request.add(centerUp,BorderLayout.NORTH);
        request.add(tabbedPaneCenterRequest , BorderLayout.CENTER);

        //respond
        JPanel row = new JPanel();
        row.setBackground(Color.GRAY);
        JPanel header2 = new JPanel();
        header2.setBackground(Color.GRAY);
        JPanel cookie = new JPanel();
        cookie.setBackground(Color.GRAY);
        JPanel timeline = new JPanel(new BorderLayout());
        timeline.setBackground(Color.GRAY);
        JTabbedPane tabbedPaneCenterResponse = new JTabbedPane();
        tabbedPaneCenterResponse.setBackground(Color.GRAY);
        tabbedPaneCenterResponse.add("Row" , row);
        tabbedPaneCenterResponse.add("Header" ,header2);
        tabbedPaneCenterResponse.add("Cookie", cookie);
        tabbedPaneCenterResponse.add("Timeline" , timeline);
        JPanel response = new JPanel(new BorderLayout());
        JTextField headerField2 = new JTextField("header");
        JTextField valueField2 = new JTextField("value");
        JPanel center_header2 = new JPanel(new GridLayout(1,2));
        center_header2.add(headerField2);
        center_header2.add(valueField2);
        header2.add(center_header2);

        JPanel up_response = new JPanel();
        JLabel label1 = new JLabel("ok");
        label1.setBorder(border);
        JLabel label2 = new JLabel("s");
        label2.setBorder(border);
        JLabel label3 = new JLabel("KB");
        label3.setBorder(border);
        up_response.add(label1);
        up_response.add(label2);
        up_response.add(label3);

        response.add(tabbedPaneCenterResponse , BorderLayout.CENTER);
        response.add(up_response,BorderLayout.NORTH);


        JPanel panelRight = new JPanel(new GridLayout(1 ,2 ));
        panelRight.add(request);
        panelRight.add(response);

        JMenu menu = new JMenu("Insomnia");
        menu.setFont(new Font("Arial",20,15 ));
        menu.setBorder(border);
        menu.setPreferredSize(new Dimension(200,60));
        JPanel panelLeft = new JPanel(new BorderLayout());
        panelLeft.add(menu , BorderLayout.NORTH);
        panelLeft.setBackground(Color.LIGHT_GRAY);

        JPanel panel = new JPanel(new BorderLayout());
        panel.add(upperMenuBar , BorderLayout.NORTH);
        panel.add(panelLeft , BorderLayout.WEST);
        panel.add(panelRight , BorderLayout.CENTER);

        frame.getContentPane().add(panel);
    }
}
